curl --request PATCH \
--url https://api.voxo.co/v2/admin/phone-numbers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/phone-numbers/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"number": "<string>",
"registeredCNAM": "<string>",
"tenant": {
"id": 123,
"name": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"diCommentName": "<string>",
"recording": "<string>",
"fax": "<string>",
"faxEmail": "<string>",
"faxStore": 123,
"namePrefix": "<string>",
"unconditionalStatus": 123,
"emailRecording": "<string>",
"storeAndForwardNumber": "<string>",
"smsExt": {
"id": 123,
"name": "<string>"
},
"registeredSMS": 123,
"routingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"smsDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Update Phone Number
Update phone number settings and destinations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number ID
^[1-9]\d*$Body
Tenant ID
Comment/description
255Recording mode (no, yes, yeschange)
no Fax mode (no, force, forcestoreandforward)
no Fax email address
500Store fax (1 = yes, 0 = no)
1 Caller ID name prefix
255Unconditional forwarding (1 = on, 0 = off)
1 Email address for recording delivery
255Store and forward number
255Branch ID
Routing destinations
Show child attributes
Show child attributes
Forwarding destinations
Show child attributes
Show child attributes
SMS destinations
Show child attributes
Show child attributes
Response
Updated phone number
Phone number ID
Phone number
Registered caller ID name
Parent tenant
Show child attributes
Show child attributes
Assigned branch
Show child attributes
Show child attributes
Comment/description
Recording mode
Fax mode
Fax email
Fax store enabled (1/0)
Caller ID name prefix
Unconditional forwarding (1/0)
Recording email address
Store and forward number
SMS-assigned extension
Show child attributes
Show child attributes
Whether SMS is provisioned (1/0)
Routing destinations
Show child attributes
Show child attributes
Forwarding destinations
Show child attributes
Show child attributes
SMS destinations
Show child attributes
Show child attributes
Was this page helpful?